Subject: Re: [PATCH 0/10] rr/svn-export reroll

From: Ramkumar Ramachandra <[email-masked]>
Date: Tue, 10 Aug 2010 18:23:45 +0530

Hi Jonathan,

Jonathan Nieder writes:
> svn-fe has some serious changes on the horizon.  As a preparation,
> let’s round up what we have now.
> 
> The most controversial change is probably the new svn-fe test, which
> takes about 15 seconds (for the “svnadmin load”, not the svn-fe
> step :)).  It is in the t9* series, so hopefully that will not
> dissuade people from running the earlier tests.

I'll comment on this separately.

> The main highlight in the changes is a new
> 
> 	Input error
> 
> to stderr if a system call failed in reading in the dump file.
> It still returns status 0 in this and other error situations,
> though.

I'll comment on this separately.

> Based on maint (for no good reason; that’s just where I tried it).
> Intended to replace rr/svn-export in pu (only if Ram likes it, of
> course).

Thanks for re-rolling (again)! You've also added a note to the commit
messages briefly explaining what each contributor has done. I'd
expected some incremental patches instead of a full re-roll, but
whatever works is good :)

> David Barr (5):
>   Add memory pool library
>   Add string-specific memory pool
>   Add stream helper library
>   Infrastructure to write revisions in fast-export format
>   SVN dump parser
>
> Jason Evans (1):
>   Add treap implementation
>
> Jonathan Nieder (4):
>   Introduce vcs-svn lib

All these are good :)

>   Export parse_date_basic() to convert a date string to timestamp

Wasn't this ejected from this series and made a separate patch?

>   Update svn-fe manual

Removed the BUG since we've turned off persistence.

>   svn-fe manual: Clarify warning about deltas in dumpfiles

We have to fix this real soon- I'm waiting for the weekend so I get
some solid chunks of hacking time.

-- Ram